Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote
Class CustomAuthenticationFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.plumtree.remote.ServiceException
                  com.plumtree.remote.CustomAuthenticationFailureException

All Implemented Interfaces:
  java.io.Serializable

public class CustomAuthenticationFailureException
extends ServiceException

Throw this exception from IAuthProvider.authenticate to tell the portal that there was a custom authentication failure. Returned to the portal not as a SoapFault, but as a String containing the message provided in the constructor.

See Also:
  Serialized Form

Constructor Summary
`CustomAuthenticationFailureException(java.lang.String message)` Valued constructor.

Methods inherited from class com.plumtree.remote.ServiceException
`getInnerException, getMessage, getStackTraceAsString, getStatusCode, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomAuthenticationFailureException

    public CustomAuthenticationFailureException(java.lang.String message)

  Valued constructor.

Parameters:
  `message` - string to display in error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.